module Rembrandt
  module Engines
    module PygmentsKnownLanguages
      def known_languages
        ['sourceslist', 'sources.list', 'delphi', 'pas', 'pascal', 'objectpascal', 'js+mako', 'javascript+mako', 'iex', 'psql', 'postgresql-console', 'postgres-console', 'brainfuck', 'bf', 'ceylon', 'js+django', 'javascript+django', 'js+jinja', 'javascript+jinja', 'html+evoque', 'numpy', 'modula2', 'm2', 'live-script', 'livescript', 'nimrod', 'nim', 'bash', 'sh', 'ksh', 'html+django', 'html+jinja', 'css+php', 'xml+lasso', 'vim', 'css+genshitext', 'css+genshi', 'fancy', 'fy', 'cfm', 'cfs', 'ssp', 'smarty', 'xml+evoque', 'hx', 'haXe', 'powershell', 'posh', 'ps1', 'tea', 'html+cheetah', 'html+spitfire', 'rbcon', 'irb', 'mason', 'django', 'jinja', 'jags', 'apacheconf', 'aconf', 'apache', 'dtd', 'dylan-console', 'dylan-repl', 'lighty', 'lighttpd', 'java', 'js+genshitext', 'js+genshi', 'javascript+genshitext', 'javascript+genshi', 'scheme', 'scm', 'nemerle', 'rhtml', 'html+erb', 'html+ruby', 'ragel-java', 'dpatch', 'puppet', 'octave', 'coffee-script', 'coffeescript', 'ragel-d', 'scilab', 'monkey', 'html+myghty', 'erl', 'css', 'js+smarty', 'javascript+smarty', 'io', 'cobolfree', 'asy', 'asymptote', 'vhdl', 'python3', 'py3', 'css+erb', 'css+ruby', 'fortran', 'd-objdump', 'mysql', 'rebol', 'cpp', 'c++', 'erb', 'cbmbas', 'befunge', 'julia', 'jl', 'moon', 'moonscript', 'rb', 'ruby', 'duby', 'xml+smarty', 'dylan', 'groovy', 'trac-wiki', 'moin', 'ahk', 'c', 'html', 'felix', 'flx', 'cmake', 'nsis', 'nsi', 'nsh', 'sp', 'mako', 'vgl', 'velocity', 'koka', 'cuda', 'cu', 'gnuplot', 'irc', 'prolog', 'python', 'py', 'sage', 'css+django', 'css+jinja', 'verilog', 'v', 'smalltalk', 'squeak', 'js+myghty', 'javascript+myghty', 'yaml', 'antlr-as', 'antlr-actionscript', 'xml+mako', 'xslt', 'urbiscript', 'scaml', 'SCAML', 'splus', 's', 'r', 'dylan-lid', 'lid', 'maql', 'sqlite3', 'boo', 'ocaml', 'ec', 'as', 'actionscript', 'vb.net', 'vbnet', 'squidconf', 'squid.conf', 'squid', 'xquery', 'xqy', 'xq', 'xql', 'xqm', 'd', 'fan', 'pot', 'po', 'logos', 'jlcon', 'lasso', 'lassoscript', 'scss', 'bbcode', 'haml', 'HAML', 'Clipper', 'XBase', 'py3tb', 'mupad', 'xml+erb', 'xml+ruby', 'dart', 'idl', 'dg', 'evoque', 'jade', 'JADE', 'c-objdump', 'kconfig', 'menuconfig', 'linux-config', 'kernel-config', 'jsp', 'registry', 'abap', 'xml+velocity', 'js+cheetah', 'javascript+cheetah', 'js+spitfire', 'javascript+spitfire', 'html+mako', 'ragel-ruby', 'ragel-rb', 'RobotFramework', 'robotframework', 'protobuf', 'cfengine3', 'cf3', 'ragel', 'glsl', 'cobol', 'ts', 'ada', 'ada95ada2005', 'postgresql', 'postgres', 'xtend', 'logtalk', 'objdump', 'css+mako', 'ca65', 'objective-c++', 'objectivec++', 'obj-c++', 'objc++', 'Cucumber', 'cucumber', 'Gherkin', 'gherkin', 'html+php', 'make', 'makefile', 'mf', 'bsdmake', 'postscript', 'haxeml', 'hxml', 'kotlin', 'plpgsql', 'vala', 'vapi', 'haskell', 'hs', 'bro', 'lua', 'pov', 'sass', 'SASS', 'antlr-java', 'tcl', 'antlr-objc', 'js+erb', 'javascript+erb', 'js+ruby', 'javascript+ruby', 'racket', 'rkt', 'aspectj', 'basemake', 'antlr-python', 'cpp-objdump', 'c++-objdumb', 'cxx-objdump', 'genshitext', 'ioke', 'ik', 'pypylog', 'pypy', 'croc', 'objective-j', 'objectivej', 'obj-j', 'objj', 'gas', 'bat', 'snobol', 'pycon', 'xml', 'antlr', 'opa', 'xml+cheetah', 'xml+spitfire', 'go', 'diff', 'udiff', 'minid', 'cython', 'pyx', 'ragel-c', 'erlang', 'control', 'aspx-vb', 'bugs', 'winbugs', 'openbugs', 'ragel-cpp', 'aspx-cs', 'matlabsession', 'properties', 'groff', 'nroff', 'man', 'clojure', 'clj', 'modelica', 'qml', 'Qt Meta Language', 'Qt modeling Language', 'js+lasso', 'javascript+lasso', 'antlr-perl', 'genshi', 'kid', 'xml+genshi', 'xml+kid', 'blitzmax', 'bmax', 'treetop', 'matlab', 'myghty', 'html+genshi', 'html+kid', 'duel', 'Duel Engine', 'Duel View', 'JBST', 'jbst', 'JsonML+BST', 'perl', 'pl', 'fsharp', 'rst', 'rest', 'restructuredtext', 'newlisp', 'scala', 'css+lasso', 'xml+php', 'stan', 'ini', 'cfg', 'moocode', 'shell-session', 'spec', 'newspeak', 'console', 'coq', 'raw', 'tcsh', 'csh', 'html+lasso', 'csharp', 'c#', 'gst', 'rconsole', 'rout', 'mxml', 'tex', 'latex', 'css+smarty', 'text', 'antlr-csharp', 'antlr-c#', 'openedge', 'abl', 'progress', 'cheetah', 'spitfire', 'smali', 'css+myghty', 'rd', 'llvm', 'sml', 'elixir', 'ex', 'exs', 'nginx', 'gooddata-cl', 'applescript', 'html+smarty', 'objective-c', 'objectivec', 'obj-c', 'objc', 'js', 'javascript', 'rust', 'common-lisp', 'cl', 'ragel-em', 'as3', 'actionscript3', 'systemverilog', 'sv', 'lhs', 'literate-haskell', 'pytb', 'php', 'php3', 'php4', 'php5', 'antlr-cpp', 'gosu', 'hybris', 'hy', 'js+php', 'javascript+php', 'factor', 'html+velocity', 'mscgen', 'msc', 'ooc', 'sql', 'http', 'ecl', 'redcode', 'ragel-objc', 'xml+django', 'xml+jinja', 'awk', 'gawk', 'mawk', 'nawk', 'json', 'nasm', 'antlr-ruby', 'antlr-rb', 'xml+myghty', 'autoit', 'Autoit']
      end
    end
  end
end
